fc_vport_terminate
Prev | Fibre Channel transport | Next

## Name

fc_vport_terminate — Admin App or LLDD requests termination of a vport

## Synopsis

`int fc_vport_terminate (` | struct fc_vport * | vport`)`;

## Arguments

`vport`

  fc_vport to be terminated

## Description

Calls the LLDD `vport_delete` function, then deallocates and removes the vport from the shost and object tree.

## Notes

This routine assumes no locks are held on entry.

Prev | Up | Next
fc_remote_port_rolechg | Home | iscsi_scan_finished